For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
GuidesAPI Reference
GuidesAPI Reference
  • Network API
      • GETRetrieve Fee Plan
      • GETList fee plans
      • FeeRate
      • FeePlan
  • Customer Request API
  • Management API
LogoLogo
Network APIFee Plans

Retrieve Fee Plan

GET
/fee-plans/:fee_plan_id
GET
/network/v1/fee-plans/:fee_plan_id
$curl https://api.cash.app/network/v1/fee-plans/fee_plan_id \
> -H "Accept: Accept" \
> -H "X-Region: X-Region" \
> -H "X-Signature: X-Signature" \
> -H "User-Agent: User-Agent"
1{
2 "fee_plan": {
3 "id": "FEE_kewjsmjt35t8qhzyjeqcst5me",
4 "rate": {
5 "basis_points": 160,
6 "fixed_amount": 20
7 },
8 "currency": "USD",
9 "status": "string",
10 "created_at": "2022-01-01T12:00:00Z",
11 "updated_at": "2022-01-05T12:00:00Z",
12 "reference_id": "string",
13 "metadata": {},
14 "description": "string"
15 }
16}

Retrieves a fee plan by its ID.

This endpoint is not rate limited.

Scopes: FEE_PLANS_READ

Was this page helpful?
Previous

List fee plans

Next
Built with

Path parameters

fee_plan_idstringRequired

Headers

AcceptstringRequired
X-RegionstringRequired
X-SignaturestringRequired
User-AgentstringRequired

Response

OK
fee_planobject
The full fee plan that PSPs can use to set the buy rates for specific merchants.

Errors

400
Bad Request Error
404
Not Found Error